#!/bin/sh -e

VERSION=$2
TAR=../bnd_$VERSION.orig.tar.gz
DIR=bnd-$VERSION

DATE=20090701
cvs -z3 -d:pserver:anonymous@bnd.cvs.sourceforge.net:/cvsroot/bnd checkout -D $DATE -d bnd-cvs .

# Use a script to transform the current codebase.
# Hopefully the next release of BND will adopt this layout
chmod +x debian/svn-transform.sh
debian/svn-transform.sh bnd-cvs $DIR
rm -r bnd-cvs

tar -c -z -f $TAR $DIR
#rm -rf $DIR ../$TAG

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir
  echo "moved $TAR to $origDir"
fi

